com.mysql.jdbc

## Class NonRegisteringDriver.ConnectionPhantomReference

- java.lang.Object
- - java.lang.ref.Reference<T>
  - - java.lang.ref.PhantomReference<ConnectionImpl>
    - - com.mysql.jdbc.NonRegisteringDriver.ConnectionPhantomReference

Enclosing class:
  NonRegisteringDriver

    static class NonRegisteringDriver.ConnectionPhantomReference
    extends java.lang.ref.PhantomReference<ConnectionImpl>

### Constructor Summary

Constructors
Constructor and Description
`NonRegisteringDriver.ConnectionPhantomReference(ConnectionImpl connectionImpl, java.lang.ref.ReferenceQueue<ConnectionImpl> q)`

### Method Summary

Methods
`(package private) void` `cleanup()`

### Methods inherited from class java.lang.ref.PhantomReference

`get`

### Methods inherited from class java.lang.ref.Reference

`clear, enqueue, isEnqueued`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NonRegisteringDriver.ConnectionPhantomReference

    NonRegisteringDriver.ConnectionPhantomReference(ConnectionImpl connectionImpl,
                                                   java.lang.ref.ReferenceQueue<ConnectionImpl> q)

### Method Detail

#### cleanup

    void cleanup()